Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78961 - Wvdial connect to Cisco 3640 failure (problem w speed recognition?)
Summary: Wvdial connect to Cisco 3640 failure (problem w speed recognition?)
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wvdial
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL: n/a
Whiteboard:
Depends On:
Blocks: 78984
TreeView+ depends on / blocked
 
Reported: 2002-12-03 23:12 UTC by MIchael Kolmodin
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 14:53:52 UTC


Attachments (Terms of Use)
Somewhot improved log (had to remove to previous one) (deleted)
2002-12-04 21:11 UTC, MIchael Kolmodin
no flags Details

Description MIchael Kolmodin 2002-12-03 23:12:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021016

Description of problem:
I tried to use wvdial, but it does not work. The call is established, but it
never starts the dialog with the terminal server

Version-Release number of selected component (if applicable):
# wvdial --version
WvDial 1.41: Copyright (c) 1998-2000 Worldvisions Computer Technology, Inc.



How reproducible:
Always

Steps to Reproduce:
1.Set up Wvdial to call my ISP
2.Watch results, it never gets the prompt (but the call is established)
3.
	

Actual Results:  No connection

Expected Results:  Connection...

Additional info:

The terminal server requires some <CR> for baudrate recognition before it sends
a prompt; from the logs I guess that wvdial fails to issue those when it doesn't
get any prompt. As this is a fairly common situation, a patch would be nice.

Relevant part of kermit script, which works once the call is established:

output  \13\10
input 10 name:
if FAILURE  { output \13\10, input 10 name: }
if FAILURE  { output \13\10, input 10 name: }
if FAILURE exit 1 "No prompt"
lineout my-username
input 10 word:
lineout my-password
input 10 >
lineout ppp

Further on, the chat approach does not work for me - my USB-connected serial
ports always drops DTR when control is transferred from chat to pppd (the driver
does not support setserial). So I'd really need wvdial. As for now, I'm using a
kermit script as pty argument to pppd, but this is pressing configuration tools
to, and partly beyond, the limits.

Comment 1 MIchael Kolmodin 2002-12-04 16:42:59 UTC
Created attachment 87369

Comment 2 MIchael Kolmodin 2002-12-04 16:46:07 UTC
Updating summary after finding out what equipment my ISP uses (Cisco 3640)

Comment 3 MIchael Kolmodin 2002-12-04 21:11:11 UTC
Created attachment 87424 [details]
Somewhot improved log (had to remove to previous one)

Comment 4 Bill Nottingham 2006-08-07 17:51:53 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 5 Bill Nottingham 2006-10-18 14:53:52 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.